%define upstream_name Reaper
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13
Summary:	Support for reaping child processes via $SIG{CHLD} 
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}

BuildRequires:	perl-devel
Provides:	perl(reaper)
BuildArch:	noarch
%rename		perl-reaper

%description
Support for reaping child processes via $SIG{CHLD} 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -type f | xargs chmod 644
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/%{upstream_name}.pm
%{perl_vendorlib}/reaper.pm
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.0-13.mga10
+ Revision: 2200500
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-12.mga9
+ Revision: 1805553
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- make spec file match package directory

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-11.mga8
+ Revision: 1497015
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-10.mga7
+ Revision: 1270888
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-9.mga6
+ Revision: 1032721
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 968401
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.0.0-7.mga6
+ Revision: 852179
- Update spec
- Rename

* Wed Oct 15 2014 umeabot <umeabot> 1.00-6.mga5
+ Revision: 744097
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.00-5.mga5
+ Revision: 687056
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-4.mga4
+ Revision: 516456
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-3.mga3
+ Revision: 375542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 1.00-2.mga2
+ Revision: 103670
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.00-1.mga1
+ Revision: 31562
- mageia rebuild
- imported package perl-reaper

